dataX<-c(1,2,3); dataY<-c("apple","banana","carrot")
dataZ<-c(TRUE,FALSE,TRUE)
dataXY<-c(1,"banana"); dataXZ<-c(1,TRUE)
dataYZ<-c("banana",TRUE)
#-------------------------
typeof(dataX); typeof(dataY); typeof(dataZ)
typeof(dataXY); typeof(dataXZ); typeof(dataYZ)
#------------------------
length(dataX)